Subject: Re: linux-next: manual merge of the hyperv tree with the fbdev tree

From: Helge Deller <[email-masked]>
Date: Thu, 2 Oct 2025 21:41:58 +0200

On 10/2/25 18:14, Mark Brown wrote:
> Hi all,
> 
> Today's linux-next merge of the hyperv tree got a conflict in:
> 
>    drivers/video/fbdev/Kconfig
> 
> between commit:
> 
>    9e84636785c5e ("fbdev: hyperv_fb: Deprecate this in favor of Hyper-V DRM driver")
> 
> from the fbdev tree and commit:
> 
>    94b04355e6397 ("Drivers: hv: Add CONFIG_HYPERV_VMBUS option")
> 
> from the hyperv tree.

Wei, I have those two patches in my tree:
     MAINTAINERS: Mark hyperv_fb driver obsolete
     fbdev: hyperv_fb: Deprecate this in favor of Hyper-V DRM driver

Please let me know if I should drop those.
I'm fine if you carry both (or any) in your tree.

Helge

> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> diff --cc drivers/video/fbdev/Kconfig
> index a7500251f41ac,72c63eaeb983a..0000000000000
> --- a/drivers/video/fbdev/Kconfig
> +++ b/drivers/video/fbdev/Kconfig
> @@@ -1771,8 -1773,8 +1771,8 @@@ config FB_BROADSHEE
>    	  a bridge adapter.
>    
>    config FB_HYPERV
>   -	tristate "Microsoft Hyper-V Synthetic Video support"
>   +	tristate "Microsoft Hyper-V Synthetic Video support (DEPRECATED)"
> - 	depends on FB && HYPERV
> + 	depends on FB && HYPERV_VMBUS
>    	select DMA_CMA if HAVE_DMA_CONTIGUOUS && CMA
>    	select FB_IOMEM_HELPERS_DEFERRED
>    	help